
%global meadversion 1.6.0
%global namedversion 1.6.0.redhat-4
%global meadalpha .redhat_4
%global meadrel .2
%global serial 1
%global namedversionrel redhat-4

%bcond_without mead

%{?scl:%scl_package apache-commons-configuration}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/commons-configuration-eap6}
%{!?scl:%global javadir %{_javadir}/commons-configuration-eap6}

%define maven_version 1.6.0.redhat-4

Name:           %{?scl_prefix}apache-commons-configuration%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons Configuration
Group:          Development/Java

%if %with mead
Source100: commons-configuration-1.6.0.redhat-4-scm-sources.zip
Source102: commons-configuration-1.6.0.redhat-4.pom
Source103: commons-configuration-1.6.0.redhat-4.jar
Source104: commons-configuration-1.6.0.redhat-4-project-sources.tar.gz
Source105: commons-configuration-1.6.0.redhat-4-javadoc.jar
Source106: commons-configuration-1.6.0.redhat-4-sources.jar
%endif

License:        ASL 2.0
URL:            http://commons.apache.org/configuration/
Provides:       %{?scl_prefix}commons-configuration%{?eap} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}apache-commons-configuration%{?eap}-%{namedversion}-%{release}-root

%description
Tools to assist in the reading of configuration/preferences files in
various formats.

%prep
%setup -q -n commons-configuration -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/commons-configuration-%{namedversion}.jar %{buildroot}%{javadir}/commons-configuration-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/commons-configuration-%{namedversion}-sources.jar %{buildroot}%{javadir}/commons-configuration-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt PROPOSAL.html RELEASE-NOTES.txt
%dir %{javadir}
%{javadir}/commons-configuration-%{namedversion}.jar
%{javadir}/commons-configuration.jar
%{javadir}/commons-configuration-%{namedversion}-sources.jar
%{javadir}/commons-configuration-sources.jar

%changelog
* Tue Dec 02 2014 Hui Wang <huwang@redhat.com> - 1.6.0-1.redhat_4.2
- Add javadoc

